#!/usr/bin/env python3
from models import SampleMetadata
from marshm import ma
from marshmallow import fields


"""
Schemas of input objects
"""


__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "schemas"
__version__text__ = "1"


class SampleSchema(ma.Schema):
    """
    Parameters:
     - date (date)
     - device_id (str)
    """

    date = fields.DateTime(required=True)
    device_id = fields.Str(required=True)


class SampleMetadataSchema(ma.SQLAlchemyAutoSchema):
    """
    Marshmallow schema generated
    """
    class Meta:
        model = SampleMetadata

